package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校对象 b_busi_schools
 * 
 * @author voluntary
 * @date 2022-11-20
 */
public class BusiSchools extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 代理商 */
    @Excel(name = "代理商")
    private Long agentId;

    private String agentName;

    /** 地域 */
    @Excel(name = "地域")
    private String location;

    /** 省 */
    @Excel(name = "省")
    private Long pro;

    /** 市 */
    @Excel(name = "市")
    private Long city;

    /** 区 */
    @Excel(name = "区")
    private Long area;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Integer status;

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAgentId(Long agentId) 
    {
        this.agentId = agentId;
    }

    public Long getAgentId() 
    {
        return agentId;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setPro(Long pro) 
    {
        this.pro = pro;
    }

    public Long getPro() 
    {
        return pro;
    }
    public void setCity(Long city) 
    {
        this.city = city;
    }

    public Long getCity() 
    {
        return city;
    }
    public void setArea(Long area) 
    {
        this.area = area;
    }

    public Long getArea() 
    {
        return area;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("agentId", getAgentId())
            .append("location", getLocation())
            .append("pro", getPro())
            .append("city", getCity())
            .append("area", getArea())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
